Hello community,

here is the log from the commit of package gmime for openSUSE:Factory checked 
in at 2012-03-02 13:47:56
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/gmime (Old)
 and      /work/SRC/openSUSE:Factory/.gmime.new (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "gmime", Maintainer is "sbra...@suse.com"

Changes:
--------
--- /work/SRC/openSUSE:Factory/gmime/gmime.changes      2012-01-17 
16:05:48.000000000 +0100
+++ /work/SRC/openSUSE:Factory/.gmime.new/gmime.changes 2012-03-02 
13:47:58.000000000 +0100
@@ -1,0 +2,40 @@
+Thu Mar  1 13:26:28 UTC 2012 - cfarr...@suse.com
+
+- license update: LGPL-2.1+
+  Reduced to applicable license in SPDX format
+
+-------------------------------------------------------------------
+Tue Feb 21 20:10:12 UTC 2012 - dims...@opensuse.org
+
+- Update to version 2.6.6:
+  + configure.ac: Add a --enable-smime flag which defaults to "no".
+  + Fixed multipart/signed logic.
+  + Handle non-standard Content-Transfer-Encodings names: 7-bit,
+    8-bit, and x-uue (the standard names for these are 7bit, 8bit,
+    and x-uuencode).
+  + Various other code changes.
+  + Several optimizations.
+
+-------------------------------------------------------------------
+Sat Feb 18 16:10:50 UTC 2012 - dims...@opensuse.org
+
+- Update to version 2.6.5:
+  + Stop installing uuencode/uudecode.
+  + configure.ac: Added --with-gacdir to fix bgo#667072
+  + Several other build fixes.
+  + Bug fixes, including: bgo#667684, bgo#668085.
+- Drop tools subpackage: those are not really usable programs, but
+  are meant as examples (they moved to the examples folder in the
+  source code). Add a gmime-tools Obsoletes to libgmime-2_6-0 for
+  smooth upgrades.
+- Pass --with-gacdir=%{_prefix}/lib to configure.
+- Drop patches:
+  + gmime-mono-arch-indep.patch: fixed upstream by introducing
+    --with-gacdir option to configure
+  + gmime-compiler-warnings.patch: fixed upstream
+- Remove libtool BuildRequires and call to autoreconf, as they were
+  only needed by the patches,
+- Remove xz BuildRequires now that it comes for free in the build
+  system.
+
+-------------------------------------------------------------------

Old:
----
  gmime-2.6.4.tar.xz
  gmime-compiler-warnings.patch
  gmime-mono-arch-indep.patch

New:
----
  gmime-2.6.6.tar.xz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ gmime.spec ++++++
--- /var/tmp/diff_new_pack.gAep91/_old  2012-03-02 13:48:00.000000000 +0100
+++ /var/tmp/diff_new_pack.gAep91/_new  2012-03-02 13:48:00.000000000 +0100
@@ -15,25 +15,18 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+
 Name:           gmime
-Version:        2.6.4
+Version:        2.6.6
 Release:        0
 Url:            http://spruce.sourceforge.net/gmime/
 Summary:        MIME Parser and Utility Library
-License:        LGPL-2.1+ ; SUSE-Public-Domain ; MIT
+License:        LGPL-2.1+
 Group:          Productivity/Networking/Email/Utilities
 Source:         
http://download.gnome.org/sources/gmime/2.6/%{name}-%{version}.tar.xz
-# PATCH-FIX-OPENSUSE gmime-mono-arch-indep.patch bgo#667072 
dims...@opensuse.org -- Do not install mono libs to libdir
-Patch0:         gmime-mono-arch-indep.patch
-# PATCH-FIX-UPSTREAM gmime-compiler-warnings.patch bgo#667684 
dims...@opensuse.org -- Fix compiler warnings, taken from upstream git, commit 
3d1a969
-Patch1:         gmime-compiler-warnings.patch
 BuildRequires:  gpgme-devel
 BuildRequires:  gtk-doc
-# Needed for patch0
-BuildRequires:  libtool
 BuildRequires:  mono-devel
-# Only needed because we don't (and won't) support building xz tarballs by 
default... See bnc#697467
-BuildRequires:  xz
 BuildRequires:  zlib-devel
 BuildRequires:  pkgconfig(gapi-2.0)
 BuildRequires:  pkgconfig(glib-2.0)
@@ -44,21 +37,11 @@
 GMime is a C/C++ library for parsing and creating messages using
 the Multipurpose Internet Mail Extension (MIME).
 
-%package tools
-Summary:        MIME Parser and Utility Library -- Tools
-License:        GPL-2.0+
-Group:          Productivity/Networking/Email/Utilities
-Provides:       gmime-2_4 = %{version}
-Obsoletes:      gmime-2_4 < %{version}
-
-%description tools
-GMime is a C/C++ library for parsing and creating messages using
-the Multipurpose Internet Mail Extension (MIME).
-
 %package -n libgmime-2_6-0
 Summary:        MIME Parser and Utility Library
-License:        LGPL-2.1+ ; SUSE-Public-Domain ; MIT
 Group:          System/Libraries
+# The tools package was only for some sample applications, which are no longer 
installed since 2.6.5
+Obsoletes:      %{name}-tools < %{version}
 
 %description -n libgmime-2_6-0
 GMime is a C/C++ library for parsing and creating messages using
@@ -66,9 +49,9 @@
 
 %package sharp
 Summary:        MIME Parser and Utility Library -- Mono Bindings
-License:        LGPL-2.1+ ; SUSE-Public-Domain ; MIT
 Group:          Development/Libraries/Other
-Requires:       libgmime-2_6-0 = %{version} glib-sharp2
+Requires:       glib-sharp2
+Requires:       libgmime-2_6-0 = %{version}
 # Obsoletes without Provides: gmime-2_4-sharp was an old name
 # during 2.4.x days, and even though API is different, we need to
 # get rid of it since some files are common.
@@ -80,7 +63,6 @@
 
 %package devel
 Summary:        MIME Parser and Utility Library -- Development Files
-License:        LGPL-2.1+ ; SUSE-Public-Domain ; MIT
 Group:          Development/Libraries/C and C++
 Requires:       libgmime-2_6-0 = %{version}
 
@@ -92,8 +74,6 @@
 
 %prep
 %setup -q
-%patch0 -p1
-%patch1 -p1
 
 %build
 %ifarch %arm
@@ -101,13 +81,12 @@
 # with >= -O2. See https://bugs.launchpad.net/gcc/+bug/836588.
 CFLAGS="%{optflags} -O1"
 %endif
-# Needed for patch0
-autoreconf -fiv
 %configure\
        --enable-largefile\
        --disable-static\
-       --enable-gtk-doc
-make %{?jobs:-j%jobs}
+       --enable-gtk-doc \
+        --with-gacdir=%{_prefix}/lib
+make %{?_smp_mflags}
 
 %install
 %makeinstall
@@ -123,13 +102,6 @@
 
 %postun -n libgmime-2_6-0 -p /sbin/ldconfig
 
-%files tools
-%defattr (-, root, root)
-# NEWS is empty
-# COPYING is LGPL while the binaries are GPL
-%doc AUTHORS ChangeLog README TODO
-%{_bindir}/*uu*
-
 %files -n libgmime-2_6-0
 %defattr (-, root, root)
 # NEWS is empty

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org

Reply via email to